e-book edit (3.34.0) repeatedly crashes when editing an epub file

Bug #1805521 reported by SM on 2018-11-28
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
calibre
Undecided
Unassigned

Bug Description

Appears to have started since updating to iOS Mojave 10.14.1.

Part of crash report follows -

Responsible: ebook-edit-placeholder-for-codesigning [8046]
User ID: 501

Date/Time: 2018-11-28 11:43:26.003 +1100
OS Version: Mac OS X 10.14.1 (18B75)
Report Version: 12
Anonymous UUID: 58D75659-3656-830C-35EA-0E0F996101C2

Sleep/Wake UUID: CF4CC903-78A6-4D8F-88E6-F4AA0977A5C8

Time Awake Since Boot: 230000 seconds
Time Since Wake: 1800 seconds

System Integrity Protection: enabled

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000004
Exception Note: EXC_CORPSE_NOTIFY

Termination Signal: Segmentation fault: 11
Termination Reason: Namespace SIGNAL, Code 0xb
Terminating Process: exc handler [8046]

POst the full crash report and is it with some aprticular epub file or
all of them?

 status incomplete

Changed in calibre:
status: New → Incomplete

Hi Kovid,

I’ve been trying to get a crash report today but now it’s just crashing without anything at all popping up

I will re-start my Mac and see what happens.

> On 28 Nov 18, at 20:26 pm, Kovid Goyal <email address hidden> wrote:
>
> POst the full crash report and is it with some aprticular epub file or
> all of them?
>
> status incomplete
>
> ** Changed in: calibre
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1805521
>
> Title:
> e-book edit (3.34.0) repeatedly crashes when editing an epub file
>
> Status in calibre:
> Incomplete
>
> Bug description:
> Appears to have started since updating to iOS Mojave 10.14.1.
>
> Part of crash report follows -
>
> Responsible: ebook-edit-placeholder-for-codesigning [8046]
> User ID: 501
>
> Date/Time: 2018-11-28 11:43:26.003 +1100
> OS Version: Mac OS X 10.14.1 (18B75)
> Report Version: 12
> Anonymous UUID: 58D75659-3656-830C-35EA-0E0F996101C2
>
> Sleep/Wake UUID: CF4CC903-78A6-4D8F-88E6-F4AA0977A5C8
>
> Time Awake Since Boot: 230000 seconds
> Time Since Wake: 1800 seconds
>
> System Integrity Protection: enabled
>
> Crashed Thread: 0 Dispatch queue: com.apple.main-thread
>
> Exception Type: EXC_BAD_ACCESS (SIGSEGV)
> Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000004
> Exception Note: EXC_CORPSE_NOTIFY
>
> Termination Signal: Segmentation fault: 11
> Termination Reason: Namespace SIGNAL, Code 0xb
> Terminating Process: exc handler [8046]
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1805521/+subscriptions

SM (5aucy-minx) wrote :
Download full text (104.1 KiB)

Forgot to mention earlier that it’s not just the one epub file.

Full crash report follows.

Process: ebook-edit-placeholder-for-codesigning [745]
Path: /Applications/calibre.app/Contents/ebook-edit.app/Contents/MacOS/ebook-edit-placeholder-for-codesigning
Identifier: com.calibre-ebook.ebook-edit
Version: 3.34.0 (3.34.0)
Code Type: X86-64 (Native)
Parent Process: ??? [1]
Responsible: ebook-edit-placeholder-for-codesigning [745]
User ID: 501

Date/Time: 2018-11-29 13:16:16.737 +1100
OS Version: Mac OS X 10.14.1 (18B75)
Report Version: 12
Anonymous UUID: 58D75659-3656-830C-35EA-0E0F996101C2

Time Awake Since Boot: 82 seconds

System Integrity Protection: enabled

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: EXC_I386_GPFLT
Exception Note: EXC_CORPSE_NOTIFY

Termination Signal: Segmentation fault: 11
Termination Reason: Namespace SIGNAL, Code 0xb
Terminating Process: exc handler [745]

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0 org.qt-project.QtGui 0x0000000106fe06f8 QTextFormat::stringProperty(int) const + 24
1 QtGui.so 0x0000000107c51edc 0x107bf3000 + 388828
2 org.python.python 0x0000000103f7324e PyEval_EvalFrameEx + 30574
3 org.python.python 0x0000000103f6b7d2 PyEval_EvalCodeEx + 1538
4 org.python.python 0x0000000103f77f55 fast_function + 117
5 org.python.python 0x0000000103f72e44 PyEval_EvalFrameEx + 29540
6 org.python.python 0x0000000103f6b7d2 PyEval_EvalCodeEx + 1538
7 org.python.python 0x0000000103ef6bec function_call + 364
8 org.python.python 0x0000000103ed0ce3 PyObject_Call + 99
9 org.python.python 0x0000000103edded6 instancemethod_call + 182
10 org.python.python 0x0000000103ed0ce3 PyObject_Call + 99
11 org.python.python 0x0000000103f7774d PyEval_CallObjectWithKeywords + 93
12 sip.so 0x000000010795baee 0x107957000 + 19182
13 sip.so 0x000000010795ba6f 0x107957000 + 19055
14 QtWidgets.so 0x00000001064c6a5a sipVH_QtWidgets_5(PyGILState_STATE, void (*)(_sipSimpleWrapper*, PyGILState_STATE), _sipSimpleWrapper*, _object*, QEvent*) + 74
15 QtWidgets.so 0x0000000106576e7d sipQPlainTextEdit::event(QEvent*) + 93
16 org.qt-project.QtWidgets 0x0000000106913316 QApplicationPrivate::notify_helper(QObject*, QEvent*) + 294
17 org.qt-project.QtWidgets 0x0000000106915a15 QApplication::notify(QObject*, QEvent*) + 4853
18 QtWidgets.so 0x00000001066872c2 sipQApplication::notify(QObject*, QEvent*) + 114
19 org.qt-project.QtCore 0x00000001075f00d7 QCoreApplication::notifyInternal2(QObject*, QEvent*) + 167
20 org.qt-project.QtWidgets 0x00000001069119ff QApplication::event(QEvent*) + 863
21 QtWidgets.so 0x00000001066b...

Hmm that does not tell me much, other than that the crash is happening
inside Qt, the toolkit calibre uses. I cannot reproduce on my mojave
machine. Is there some particular action leading up to the crash?

Just some straightforward, simple editing such as spell checking

Nothing else that I can think of

My Mac is late 2013, seems to run well with everything else. The issue appears to have started after Mojave - I have a feeling that the previous version of calibre may have crashed too (after Mojave) but I updated to 3.34.0 before I had to use it again.

Has never happened before.

> On 29 Nov 2018, at 14:49, Kovid Goyal <email address hidden> wrote:
>
> Hmm that does not tell me much, other than that the crash is happening
> inside Qt, the toolkit calibre uses. I cannot reproduce on my mojave
> machine. Is there some particular action leading up to the crash?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1805521
>
> Title:
> e-book edit (3.34.0) repeatedly crashes when editing an epub file
>
> Status in calibre:
> Incomplete
>
> Bug description:
> Appears to have started since updating to iOS Mojave 10.14.1.
>
> Part of crash report follows -
>
> Responsible: ebook-edit-placeholder-for-codesigning [8046]
> User ID: 501
>
> Date/Time: 2018-11-28 11:43:26.003 +1100
> OS Version: Mac OS X 10.14.1 (18B75)
> Report Version: 12
> Anonymous UUID: 58D75659-3656-830C-35EA-0E0F996101C2
>
> Sleep/Wake UUID: CF4CC903-78A6-4D8F-88E6-F4AA0977A5C8
>
> Time Awake Since Boot: 230000 seconds
> Time Since Wake: 1800 seconds
>
> System Integrity Protection: enabled
>
> Crashed Thread: 0 Dispatch queue: com.apple.main-thread
>
> Exception Type: EXC_BAD_ACCESS (SIGSEGV)
> Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000004
> Exception Note: EXC_CORPSE_NOTIFY
>
> Termination Signal: Segmentation fault: 11
> Termination Reason: Namespace SIGNAL, Code 0xb
> Terminating Process: exc handler [8046]
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1805521/+subscriptions

Hmm hard to fix if I cannot reproduce. Feel free to try older versions
of calibre if you like, they are available from the download page.

Peter Edman (pledman) wrote :

I have the same bug, same OS, early 2018 MacBook Pro. I opened the editor to look at an Archive.org epub, and was just reviewing things, no edits, when it crashed. Later, I was able to fix a couple of typos and save before it crashed again (maybe 30 seconds of work before the crash), but it seems unrelated to my actions.

This morning I opened a book. No problem until I clicked into an HTML file within the epub. I had closed the preview window, and was just looking at the markup. Did not edit nor click in. Just crashed as I was about to scroll.

I was able to open several PNG files with no crash. When I opened the TOC.ntx and the CSS files it also crashed after a few seconds.

I saved the crash log if needed.

Kovid Goyal (kovid) wrote :

Post the crash log, we may get luvky and it will be more illuminating
than the previous one.

On a general note, this crash is happening inside Qt (the toolkit
calibre uses). calibre 4 will be updating the version of QT by a lot
(from 5.6 to 5.12) so we can hope it will be automatically fixed when
that happens.

Peter Edman (pledman) wrote :
Download full text (102.8 KiB)

Here's the first one.
Process: ebook-edit-placeholder-for-codesigning [51244]
Path: /Applications/calibre.app/Contents/ebook-edit.app/Contents/MacOS/ebook-edit-placeholder-for-codesigning
Identifier: com.calibre-ebook.ebook-edit
Version: 3.34.0 (3.34.0)
Code Type: X86-64 (Native)
Parent Process: ??? [1]
Responsible: ebook-edit-placeholder-for-codesigning [51244]
User ID: 730053604

Date/Time: 2018-11-30 08:54:43.927 -0500
OS Version: Mac OS X 10.14.1 (18B75)
Report Version: 12
Bridge OS Version: 3.0 (14Y667)
Anonymous UUID: 5056DB74-2EBC-DDA4-9ECF-C7E847900AD2

Sleep/Wake UUID: 8BBC0384-1ED4-430B-9972-337E444EE2FB

Time Awake Since Boot: 320000 seconds
Time Since Wake: 250 seconds

System Integrity Protection: enabled

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000004
Exception Note: EXC_CORPSE_NOTIFY

Termination Signal: Segmentation fault: 11
Termination Reason: Namespace SIGNAL, Code 0xb
Terminating Process: exc handler [51244]

VM Regions Near 0x4:
-->
    __TEXT 0000000106664000-0000000106666000 [ 8K] r-x/rwx SM=COW /Applications/calibre.app/Contents/ebook-edit.app/Contents/MacOS/ebook-edit-placeholder-for-codesigning

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0 org.qt-project.QtGui 0x00000001097906f8 QTextFormat::stringProperty(int) const + 24
1 QtGui.so 0x000000010a401edc 0x10a3a3000 + 388828
2 org.python.python 0x000000010672a24e PyEval_EvalFrameEx + 30574
3 org.python.python 0x00000001067227d2 PyEval_EvalCodeEx + 1538
4 org.python.python 0x000000010672ef55 fast_function + 117
5 org.python.python 0x0000000106729e44 PyEval_EvalFrameEx + 29540
6 org.python.python 0x00000001067227d2 PyEval_EvalCodeEx + 1538
7 org.python.python 0x00000001066adbec function_call + 364
8 org.python.python 0x0000000106687ce3 PyObject_Call + 99
9 org.python.python 0x0000000106694ed6 instancemethod_call + 182
10 org.python.python 0x0000000106687ce3 PyObject_Call + 99
11 org.python.python 0x000000010672e74d PyEval_CallObjectWithKeywords + 93
12 sip.so 0x000000010a10baee 0x10a107000 + 19182
13 sip.so 0x000000010a10ba6f 0x10a107000 + 19055
14 QtWidgets.so 0x0000000108c76a5a sipVH_QtWidgets_5(PyGILState_STATE, void (*)(_sipSimpleWrapper*, PyGILState_STATE), _sipSimpleWrapper*, _object*, QEvent*) + 74
15 QtWidgets.so 0x0000000108d26e7d sipQPlainTextEdit::event(QEvent*) + 93
16 org.qt-project.QtWidgets 0x00000001090c3316 QApplicationPrivate::notify_helper(QObject*, QEvent*) + 294
17 org.qt-project.QtWidgets 0x00000001090c5a15 QApplication::notify(QObject*, QEvent*) + 4853
18 QtWidgets.so 0x0000000108e372c2 sipQApplication::notify(QObject*, Q...

Peter Edman (pledman) wrote :
Download full text (101.4 KiB)

And the second, which is slightly different.
Process: ebook-edit-placeholder-for-codesigning [53415]
Path: /Applications/calibre.app/Contents/ebook-edit.app/Contents/MacOS/ebook-edit-placeholder-for-codesigning
Identifier: com.calibre-ebook.ebook-edit
Version: 3.34.0 (3.34.0)
Code Type: X86-64 (Native)
Parent Process: ??? [1]
Responsible: ebook-edit-placeholder-for-codesigning [53415]
User ID: 730053604

Date/Time: 2018-11-30 23:13:28.796 -0500
OS Version: Mac OS X 10.14.1 (18B75)
Report Version: 12
Bridge OS Version: 3.0 (14Y667)
Anonymous UUID: 5056DB74-2EBC-DDA4-9ECF-C7E847900AD2

Sleep/Wake UUID: 456B4575-D63B-4EBF-BB66-EEBD60435116

Time Awake Since Boot: 340000 seconds
Time Since Wake: 140 seconds

System Integrity Protection: enabled

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: EXC_I386_GPFLT
Exception Note: EXC_CORPSE_NOTIFY

Termination Signal: Segmentation fault: 11
Termination Reason: Namespace SIGNAL, Code 0xb
Terminating Process: exc handler [53415]

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0 org.qt-project.QtGui 0x00000001083476f8 QTextFormat::stringProperty(int) const + 24
1 QtGui.so 0x0000000108cd4edc 0x108c76000 + 388828
2 org.python.python 0x0000000104e2d24e PyEval_EvalFrameEx + 30574
3 org.python.python 0x0000000104e257d2 PyEval_EvalCodeEx + 1538
4 org.python.python 0x0000000104e31f55 fast_function + 117
5 org.python.python 0x0000000104e2ce44 PyEval_EvalFrameEx + 29540
6 org.python.python 0x0000000104e257d2 PyEval_EvalCodeEx + 1538
7 org.python.python 0x0000000104db0bec function_call + 364
8 org.python.python 0x0000000104d8ace3 PyObject_Call + 99
9 org.python.python 0x0000000104d97ed6 instancemethod_call + 182
10 org.python.python 0x0000000104d8ace3 PyObject_Call + 99
11 org.python.python 0x0000000104e3174d PyEval_CallObjectWithKeywords + 93
12 sip.so 0x000000010653daee 0x106539000 + 19182
13 sip.so 0x000000010653da6f 0x106539000 + 19055
14 QtWidgets.so 0x0000000105adea5a sipVH_QtWidgets_5(PyGILState_STATE, void (*)(_sipSimpleWrapper*, PyGILState_STATE), _sipSimpleWrapper*, _object*, QEvent*) + 74
15 QtWidgets.so 0x0000000105b8ee7d sipQPlainTextEdit::event(QEvent*) + 93
16 org.qt-project.QtWidgets 0x0000000105f2b316 QApplicationPrivate::notify_helper(QObject*, QEvent*) + 294
17 org.qt-project.QtWidgets 0x0000000105f2da15 QApplication::notify(QObject*, QEvent*) + 4853
18 QtWidgets.so 0x0000000105c9f2c2 sipQApplication::notify(QObject*, QEvent*) + 114
19 org.qt-project.QtCore 0x00000001089570d7 QCoreApplication::notifyInternal2(QObject*, QEvent*) + 167
20 org.qt-project.QtWidgets 0x0000000105f299ff QApplication::event(QEvent*) + 863
21 Qt...

Kovid Goyal (kovid) wrote :

Sadly those logs are basically the same as the first one. What would
help is a set of steps to reliably reproduce the crash, maybe with an
epub file attached for which those steps work.

Sometimes it crashes before I do anything other than open the file. Some files appear to be worse than others too.

> On 2 Dec 2018, at 15:04, Kovid Goyal <email address hidden> wrote:
>
> Sadly those logs are basically the same as the first one. What would
> help is a set of steps to reliably reproduce the crash, maybe with an
> epub file attached for which those steps work.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1805521
>
> Title:
> e-book edit (3.34.0) repeatedly crashes when editing an epub file
>
> Status in calibre:
> Incomplete
>
> Bug description:
> Appears to have started since updating to iOS Mojave 10.14.1.
>
> Part of crash report follows -
>
> Responsible: ebook-edit-placeholder-for-codesigning [8046]
> User ID: 501
>
> Date/Time: 2018-11-28 11:43:26.003 +1100
> OS Version: Mac OS X 10.14.1 (18B75)
> Report Version: 12
> Anonymous UUID: 58D75659-3656-830C-35EA-0E0F996101C2
>
> Sleep/Wake UUID: CF4CC903-78A6-4D8F-88E6-F4AA0977A5C8
>
> Time Awake Since Boot: 230000 seconds
> Time Since Wake: 1800 seconds
>
> System Integrity Protection: enabled
>
> Crashed Thread: 0 Dispatch queue: com.apple.main-thread
>
> Exception Type: EXC_BAD_ACCESS (SIGSEGV)
> Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000004
> Exception Note: EXC_CORPSE_NOTIFY
>
> Termination Signal: Segmentation fault: 11
> Termination Reason: Namespace SIGNAL, Code 0xb
> Terminating Process: exc handler [8046]
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1805521/+subscriptions

Peter Edman (pledman) wrote :

I'm sorry the logs are not more helpful. I have done some more testing with a few professionally produced ePubs (from HarperCollins and Random House as well as the original Internet Archive file), and I can reliably get the edit module to crash when opening any HTML or CSS or other text file within the ePub document. These files all check out fine in Apple Books and other readers. No rendering or encoding errors.

Opening these files for editing, when no internal subfiles are open the program does not crash. It is also perfectly stable when reviewing image files of any size. But click on a TOC entry that opens a text file, or open a text file directly from the file list in the left panel, and it will crash without fail within three to five seconds with no additional action from the user. I didn't scroll or type. Just opened the text file to review.

Well attach one of these files that reliably cause a crash and I will
try to reproduce.

Kovid Goyal (kovid) wrote :

I have made a build of calibre with a possible fix https://download.calibre-ebook.com/betas/calibre-3.36.0.dmg

since no one has provided any way for me to reproduce the crash I have no way to be sure if it works or not.

Peter Edman (pledman) wrote :

Thank you for this. Two comments:

(1) An additional bit of information I neglected to mention. I had been launching the ebook editor app independently, from a desktop shortcut and not from within Calibre, when it was crashing. I dragged an epub onto the alias linked to the app within the Calibre bundle (such a useful shortcut during ebook development).

Anyway, before I upgraded to this new version, I tested again with the direct launch, and was able to see the crash as before. Then I tested the same file after opening the ebook editor from Calibre, and the older build did NOT crash. So that seems to be a factor.

(2) The crash seems fixed in the new build. Same file. I first launched the ebook editor from within Calibre, then quit everything, then used my desktop alias to open my file directly from the desktop, and it's fine.

So thanks again.
Peter

Kovid Goyal (kovid) wrote :

well try it for a few more days and if it still does not crash, we can conclude it is solved.

Fixed in branch master. The fix will be in the next release. calibre is usually released every alternate Friday.

 status fixreleased

Changed in calibre:
status: Incomplete → Fix Released

Thank you, will give it a go and let you know :)

> On 24 Dec 2018, at 15:52, Kovid Goyal <email address hidden> wrote:
>
> I have made a build of calibre with a possible fix https://download
> .calibre-ebook.com/betas/calibre-3.36.0.dmg
>
> since no one has provided any way for me to reproduce the crash I have
> no way to be sure if it works or not.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1805521
>
> Title:
> e-book edit (3.34.0) repeatedly crashes when editing an epub file
>
> Status in calibre:
> Incomplete
>
> Bug description:
> Appears to have started since updating to iOS Mojave 10.14.1.
>
> Part of crash report follows -
>
> Responsible: ebook-edit-placeholder-for-codesigning [8046]
> User ID: 501
>
> Date/Time: 2018-11-28 11:43:26.003 +1100
> OS Version: Mac OS X 10.14.1 (18B75)
> Report Version: 12
> Anonymous UUID: 58D75659-3656-830C-35EA-0E0F996101C2
>
> Sleep/Wake UUID: CF4CC903-78A6-4D8F-88E6-F4AA0977A5C8
>
> Time Awake Since Boot: 230000 seconds
> Time Since Wake: 1800 seconds
>
> System Integrity Protection: enabled
>
> Crashed Thread: 0 Dispatch queue: com.apple.main-thread
>
> Exception Type: EXC_BAD_ACCESS (SIGSEGV)
> Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000004
> Exception Note: EXC_CORPSE_NOTIFY
>
> Termination Signal: Segmentation fault: 11
> Termination Reason: Namespace SIGNAL, Code 0xb
> Terminating Process: exc handler [8046]
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1805521/+subscriptions

Apologies, still getting the crash

The error occurs when I open the app from a right-click on the file.

The app appears to be stable if opened from within calibre.

Pretty sure the crashing only started after Mojave.

On 25 Dec 18, at 04:22 am, Kovid Goyal <<email address hidden><mailto:<email address hidden>>> wrote:

well try it for a few more days and if it still does not crash, we can
conclude it is solved.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1805521

Title:
 e-book edit (3.34.0) repeatedly crashes when editing an epub file

Status in calibre:
 Fix Released

Bug description:
 Appears to have started since updating to iOS Mojave 10.14.1.

 Part of crash report follows -

 Responsible: ebook-edit-placeholder-for-codesigning [8046]
 User ID: 501

 Date/Time: 2018-11-28 11:43:26.003 +1100
 OS Version: Mac OS X 10.14.1 (18B75)
 Report Version: 12
 Anonymous UUID: 58D75659-3656-830C-35EA-0E0F996101C2

 Sleep/Wake UUID: CF4CC903-78A6-4D8F-88E6-F4AA0977A5C8

 Time Awake Since Boot: 230000 seconds
 Time Since Wake: 1800 seconds

 System Integrity Protection: enabled

 Crashed Thread: 0 Dispatch queue: com.apple.main-thread

 Exception Type: EXC_BAD_ACCESS (SIGSEGV)
 Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000004
 Exception Note: EXC_CORPSE_NOTIFY

 Termination Signal: Segmentation fault: 11
 Termination Reason: Namespace SIGNAL, Code 0xb
 Terminating Process: exc handler [8046]

To manage notifications about this bug go to:
https://bugs.launchpad.net/calibre/+bug/1805521/+subscriptions

Kovid Goyal (kovid) wrote :

is it actually stable when launched from within calibre, I fond that difficult to understand, since the part of the code that is crashing should be entirely unaffected by that.

Yes, it appears to be stable when launched from within calibre.

It was because P Edman noted this (25 Dec) which is why I tried it.

> On 29 Dec 2018, at 14:29, Kovid Goyal <email address hidden> wrote:
>
> is it actually stable when launched from within calibre, I fond that
> difficult to understand, since the part of the code that is crashing
> should be entirely unaffected by that.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1805521
>
> Title:
> e-book edit (3.34.0) repeatedly crashes when editing an epub file
>
> Status in calibre:
> Fix Released
>
> Bug description:
> Appears to have started since updating to iOS Mojave 10.14.1.
>
> Part of crash report follows -
>
> Responsible: ebook-edit-placeholder-for-codesigning [8046]
> User ID: 501
>
> Date/Time: 2018-11-28 11:43:26.003 +1100
> OS Version: Mac OS X 10.14.1 (18B75)
> Report Version: 12
> Anonymous UUID: 58D75659-3656-830C-35EA-0E0F996101C2
>
> Sleep/Wake UUID: CF4CC903-78A6-4D8F-88E6-F4AA0977A5C8
>
> Time Awake Since Boot: 230000 seconds
> Time Since Wake: 1800 seconds
>
> System Integrity Protection: enabled
>
> Crashed Thread: 0 Dispatch queue: com.apple.main-thread
>
> Exception Type: EXC_BAD_ACCESS (SIGSEGV)
> Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000004
> Exception Note: EXC_CORPSE_NOTIFY
>
> Termination Signal: Segmentation fault: 11
> Termination Reason: Namespace SIGNAL, Code 0xb
> Terminating Process: exc handler [8046]
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1805521/+subscriptions

Kovid Goyal (kovid) wrote :

well I managed to replicate it finally. Basically the crash happens when mousing over a link. Normally a tooltip would appear, saying ctrl click on the link to edit it, but for some reason, on Mojave, and only when launched as a standalone application, Qt crashes while retrieving that tooltip. I dont see anyway to fix it in calibre code, hopefully when calibre updates the version of Qt it uses, the bug will be fixed automatically, since Qt 5,12 is supposed to have explicit mojave suport. In the meantime, you will have to use the workaround of launching the editor from within calibre.

Kovid Goyal (kovid) wrote :

actually, I found a workaround, will be in the next release.

SM (5aucy-minx) wrote :

Thank you, will do

> On 29 Dec 2018, at 15:28, Kovid Goyal <email address hidden> wrote:
>
> well I managed to replicate it finally. Basically the crash happens when
> mousing over a link. Normally a tooltip would appear, saying ctrl click
> on the link to edit it, but for some reason, on Mojave, and only when
> launched as a standalone application, Qt crashes while retrieving that
> tooltip. I dont see anyway to fix it in calibre code, hopefully when
> calibre updates the version of Qt it uses, the bug will be fixed
> automatically, since Qt 5,12 is supposed to have explicit mojave suport.
> In the meantime, you will have to use the workaround of launching the
> editor from within calibre.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1805521
>
> Title:
> e-book edit (3.34.0) repeatedly crashes when editing an epub file
>
> Status in calibre:
> Fix Released
>
> Bug description:
> Appears to have started since updating to iOS Mojave 10.14.1.
>
> Part of crash report follows -
>
> Responsible: ebook-edit-placeholder-for-codesigning [8046]
> User ID: 501
>
> Date/Time: 2018-11-28 11:43:26.003 +1100
> OS Version: Mac OS X 10.14.1 (18B75)
> Report Version: 12
> Anonymous UUID: 58D75659-3656-830C-35EA-0E0F996101C2
>
> Sleep/Wake UUID: CF4CC903-78A6-4D8F-88E6-F4AA0977A5C8
>
> Time Awake Since Boot: 230000 seconds
> Time Since Wake: 1800 seconds
>
> System Integrity Protection: enabled
>
> Crashed Thread: 0 Dispatch queue: com.apple.main-thread
>
> Exception Type: EXC_BAD_ACCESS (SIGSEGV)
> Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000004
> Exception Note: EXC_CORPSE_NOTIFY
>
> Termination Signal: Segmentation fault: 11
> Termination Reason: Namespace SIGNAL, Code 0xb
> Terminating Process: exc handler [8046]
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1805521/+subscriptions

SM (5aucy-minx) wrote :

Will look out for it. Thank you!

> On 29 Dec 2018, at 16:53, Kovid Goyal <email address hidden> wrote:
>
> actually, I found a workaround, will be in the next release.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1805521
>
> Title:
> e-book edit (3.34.0) repeatedly crashes when editing an epub file
>
> Status in calibre:
> Fix Released
>
> Bug description:
> Appears to have started since updating to iOS Mojave 10.14.1.
>
> Part of crash report follows -
>
> Responsible: ebook-edit-placeholder-for-codesigning [8046]
> User ID: 501
>
> Date/Time: 2018-11-28 11:43:26.003 +1100
> OS Version: Mac OS X 10.14.1 (18B75)
> Report Version: 12
> Anonymous UUID: 58D75659-3656-830C-35EA-0E0F996101C2
>
> Sleep/Wake UUID: CF4CC903-78A6-4D8F-88E6-F4AA0977A5C8
>
> Time Awake Since Boot: 230000 seconds
> Time Since Wake: 1800 seconds
>
> System Integrity Protection: enabled
>
> Crashed Thread: 0 Dispatch queue: com.apple.main-thread
>
> Exception Type: EXC_BAD_ACCESS (SIGSEGV)
> Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000004
> Exception Note: EXC_CORPSE_NOTIFY
>
> Termination Signal: Segmentation fault: 11
> Termination Reason: Namespace SIGNAL, Code 0xb
> Terminating Process: exc handler [8046]
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1805521/+subscriptions

Peter Edman (pledman) wrote :

Thank you!

SM (5aucy-minx) wrote :

3.36.0 seems to have fixed the crash from right click on file to open ebook editor.

Thank you :)

> On 31 Dec 18, at 01:14 am, Peter Edman <email address hidden> wrote:
>
> Thank you!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1805521
>
> Title:
> e-book edit (3.34.0) repeatedly crashes when editing an epub file
>
> Status in calibre:
> Fix Released
>
> Bug description:
> Appears to have started since updating to iOS Mojave 10.14.1.
>
> Part of crash report follows -
>
> Responsible: ebook-edit-placeholder-for-codesigning [8046]
> User ID: 501
>
> Date/Time: 2018-11-28 11:43:26.003 +1100
> OS Version: Mac OS X 10.14.1 (18B75)
> Report Version: 12
> Anonymous UUID: 58D75659-3656-830C-35EA-0E0F996101C2
>
> Sleep/Wake UUID: CF4CC903-78A6-4D8F-88E6-F4AA0977A5C8
>
> Time Awake Since Boot: 230000 seconds
> Time Since Wake: 1800 seconds
>
> System Integrity Protection: enabled
>
> Crashed Thread: 0 Dispatch queue: com.apple.main-thread
>
> Exception Type: EXC_BAD_ACCESS (SIGSEGV)
> Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000004
> Exception Note: EXC_CORPSE_NOTIFY
>
> Termination Signal: Segmentation fault: 11
> Termination Reason: Namespace SIGNAL, Code 0xb
> Terminating Process: exc handler [8046]
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1805521/+subscriptions

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers